package com.gic.haoban.manage.web.qo;

import java.io.Serializable;

public class WxEnterpriseQO implements Serializable {

    private static final long serialVersionUID = 1L;

    private String wxEnterpriseId;
    /**
     * 企业名称
     */
    private String corpName;
    /**
     * 企业头像
     */
    private String corpSquareLogoUrl;
    /**
     * 应用id
     */
    private String agentId;
    /**
     * 应用名称
     */
    private String agentName;
    /**
     * secret
     */
    private String secretVal;
    /**
     * 明文corpid
     */
    private String wxCorpid;
    /**
     * 自建小程序appid
     */
    private String wxaAppid;
    /**
     * 自建请求url
     */
    private String urlHost;
    /**
     * 应用类型，0第三方 1自建
     */
    private Integer appType;
    /**
     * 自建应用是否支持配置回调地址 0 不支持 1支持
     */
    private Integer callbackFlag;

    public Integer getCallbackFlag() {
        return callbackFlag;
    }

    public void setCallbackFlag(Integer callbackFlag) {
        this.callbackFlag = callbackFlag;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getCorpName() {
        return corpName;
    }

    public void setCorpName(String corpName) {
        this.corpName = corpName;
    }

    public String getCorpSquareLogoUrl() {
        return corpSquareLogoUrl;
    }

    public void setCorpSquareLogoUrl(String corpSquareLogoUrl) {
        this.corpSquareLogoUrl = corpSquareLogoUrl;
    }

    public String getWxCorpid() {
        return wxCorpid;
    }

    public void setWxCorpid(String wxCorpid) {
        this.wxCorpid = wxCorpid;
    }

    public String getWxaAppid() {
        return wxaAppid;
    }

    public void setWxaAppid(String wxaAppid) {
        this.wxaAppid = wxaAppid;
    }

    public String getUrlHost() {
        return urlHost;
    }

    public void setUrlHost(String urlHost) {
        this.urlHost = urlHost;
    }

    public Integer getAppType() {
        return appType;
    }

    public void setAppType(Integer appType) {
        this.appType = appType;
    }

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getSecretVal() {
        return secretVal;
    }

    public void setSecretVal(String secretVal) {
        this.secretVal = secretVal;
    }
}
